Immutable pipeline
Status: Fermé Start date: 09/12/2016

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Architecture Générale Estimated time: 0.00 hour

Target version: 0.11.0 Spent time: 12.00 hours

Lien forum:    

Description

Avec Vulkan, les pipelines sont immutable.

Il va donc falloir modifier la manière de travailler de Castor3D, et déplacer DepthStencilState, RasteriserState, BlendState dans

Pipeline.

De plus Pipeline va aussi intégrer le shader program et les textures sur lesquelles celui-ci travaille (au moins les inputs)

Subtasks:

Évolution  # 1828: Shader et GeometryBuffers dans le Pipeline Fermé

History

#1 - 08/05/2016 11:47 AM - dragonjoker59

- Target version set to 0.9.0

#2 - 08/05/2016 11:47 AM - dragonjoker59

- Status changed from Nouveau to Assigné

- Assignee set to dragonjoker59

#3 - 12/04/2016 02:26 PM - dragonjoker59

- Target version changed from 0.9.0 to Backlog

Il ne manque que les textures, et le layout des vertex buffers à ajouter.

Pour les textures, cela reste à voir.

#4 - 12/07/2016 12:37 PM - dragonjoker59

- Status changed from Assigné to Nouveau

- Assignee deleted (dragonjoker59)

#5 - 03/23/2017 03:38 PM - dragonjoker59

- Target version changed from Backlog to 0.10.0

#6 - 12/11/2017 12:38 PM - dragonjoker59

- Target version changed from 0.10.0 to Backlog

#7 - 01/01/2018 04:42 PM - dragonjoker59

- Target version changed from Backlog to 0.11.0

#8 - 06/12/2018 03:38 PM - dragonjoker59

- Status changed from Nouveau to Résolu
Résolu de par l'intégration de RendererLib.

#9 - 06/12/2018 03:38 PM - dragonjoker59

- Status changed from Résolu to Fermé
